NXOpen .NET Reference  12.0.0
Public Member Functions | List of all members
NXOpen.Features.BodyFeature Class Reference

Represents a feature on a part that has a body associated with it. More...

Inheritance diagram for NXOpen.Features.BodyFeature:
NXOpen.Features.Feature NXOpen.NXObject NXOpen.IProfile NXOpen.IFitTo NXOpen.INXObject NXOpen.INXObject NXOpen.INXObject NXOpen.Die.CastRelief NXOpen.Die.ClampingSlot NXOpen.Die.Clearance NXOpen.Die.DieShoe NXOpen.Die.DrawBead NXOpen.Die.FillArea NXOpen.Die.FingerClearanceNotch NXOpen.Die.HandlingCore NXOpen.Die.Heelpost NXOpen.Die.Keyway NXOpen.Die.MachineRelief NXOpen.Die.SpringbackCompensation NXOpen.Die.TrimFlangeDieAssistant NXOpen.Features.AdaptiveShell NXOpen.Features.AddendumSurface NXOpen.Features.AdmMoveFace NXOpen.Features.AdmOffsetRegion NXOpen.Features.AdmResizeFace NXOpen.Features.AeroFlange NXOpen.Features.AeroRib NXOpen.Features.AestheticFaceBlend NXOpen.Features.AnalyzePocket NXOpen.Features.AngularDim NXOpen.Features.AssemblyCut NXOpen.Features.BendTaper NXOpen.Features.BlendCorner NXOpen.Features.BlendPocket NXOpen.Features.Block NXOpen.Features.BodyByEquation NXOpen.Features.BoundedPlane NXOpen.Features.Brep NXOpen.Features.BridgeSurface NXOpen.Features.Chamfer NXOpen.Features.ChangeShellThickness NXOpen.Features.Coaxial NXOpen.Features.CombineBodyFeature NXOpen.Features.CombineSheets NXOpen.Features.CompensateRoughData NXOpen.Features.ConcaveFaces NXOpen.Features.Cone NXOpen.Features.Coplanar NXOpen.Features.CopyFace NXOpen.Features.CutFace NXOpen.Features.Cylinder NXOpen.Features.DeleteBody NXOpen.Features.DeleteCurve NXOpen.Features.DeleteEdge NXOpen.Features.DeleteFace NXOpen.Features.Divideface NXOpen.Features.Draft NXOpen.Features.DraftBody NXOpen.Features.DrawDiePunch NXOpen.Features.EdgeBlend NXOpen.Features.EdgeSymmetry NXOpen.Features.EditBend NXOpen.Features.EditCrossSection NXOpen.Features.Emboss NXOpen.Features.Enlarge NXOpen.Features.ExtendSheet NXOpen.Features.Extension NXOpen.Features.ExtractFace NXOpen.Features.Extrude NXOpen.Features.FaceBlend NXOpen.Features.FaceSheet NXOpen.Features.FillHole NXOpen.Features.FitSurface NXOpen.Features.Fixed NXOpen.Features.FlatteningAndForming NXOpen.Features.FlowBlend NXOpen.Features.FreeTransformer NXOpen.Features.GlobalShaping NXOpen.Features.GroupFace NXOpen.Features.GuidedExtensionEx NXOpen.Features.HemFlange NXOpen.Features.HolePackage NXOpen.Features.IForm NXOpen.Features.LabelChamfer NXOpen.Features.LabelNotchBlend NXOpen.Features.Lattice NXOpen.Features.LawExtension NXOpen.Features.LawExtensionEx NXOpen.Features.LinearDimension NXOpen.Features.LinkedFacet NXOpen.Features.LocalScaleCurve NXOpen.Features.MakeOffset NXOpen.Features.MakeSolid NXOpen.Features.MatchEdge NXOpen.Features.MeshSurface NXOpen.Features.MeshTransformer NXOpen.Features.Metaform NXOpen.Features.MidSurfaceByFacePairs NXOpen.Features.MidSurfaceFacePair NXOpen.Features.MidSurfaceUserDefined NXOpen.Features.MirrorBody NXOpen.Features.MirrorFace NXOpen.Features.MirrorFeature NXOpen.Features.MoveCurve NXOpen.Features.MoveEdge NXOpen.Features.MoveFace NXOpen.Features.NSidedSurface NXOpen.Features.OffsetEdge NXOpen.Features.OffsetEmboss NXOpen.Features.OffsetFace NXOpen.Features.OffsetFacetBody NXOpen.Features.OffsetMoveCurve NXOpen.Features.OffsetRegion NXOpen.Features.OffsetSurface NXOpen.Features.Parallel NXOpen.Features.PatchOpenings NXOpen.Features.PatternFace NXOpen.Features.PatternFaceFeature NXOpen.Features.Perpendicular NXOpen.Features.PierceTask NXOpen.Features.PoleSmoothing NXOpen.Features.Promotion NXOpen.Features.PullFace NXOpen.Features.QuickBinder NXOpen.Features.RadialDimension NXOpen.Features.RefitFace NXOpen.Features.ReorderBlends NXOpen.Features.ReplaceBlend NXOpen.Features.ReplaceFace NXOpen.Features.ResizeBlend NXOpen.Features.ResizeChamfer NXOpen.Features.ResizeChamferCurve NXOpen.Features.ResizeCurve NXOpen.Features.ResizeFace NXOpen.Features.Revolve NXOpen.Features.Rib NXOpen.Features.Ribbon NXOpen.Features.Rotor NXOpen.Features.RPO NXOpen.Features.Ruled NXOpen.Features.Scale NXOpen.Features.SectionInertiaAnalysis NXOpen.Features.SectionSurface NXOpen.Features.ServiceOrientedBodyFeature NXOpen.Features.SheetMetal.LighteningCutout NXOpen.Features.SheetMetalFromSolid NXOpen.Features.Shelf NXOpen.Features.Shell NXOpen.Features.ShellFace NXOpen.Features.ShipDesign.AlongGuideCut NXOpen.Features.ShipDesign.Bracket NXOpen.Features.ShipDesign.BulkHeads NXOpen.Features.ShipDesign.CollarPlate NXOpen.Features.ShipDesign.ConceptFromSpreadsheet NXOpen.Features.ShipDesign.CornerCut NXOpen.Features.ShipDesign.CustomBracket NXOpen.Features.ShipDesign.Cutout2 NXOpen.Features.ShipDesign.Deck NXOpen.Features.ShipDesign.Decks NXOpen.Features.ShipDesign.Divide NXOpen.Features.ShipDesign.DvToMvMapping NXOpen.Features.ShipDesign.EdgeCut NXOpen.Features.ShipDesign.EndCut NXOpen.Features.ShipDesign.ExcessMaterial NXOpen.Features.ShipDesign.FrameBarOut NXOpen.Features.ShipDesign.GenericPlateSystem NXOpen.Features.ShipDesign.Hull NXOpen.Features.ShipDesign.InsertSheetBody NXOpen.Features.ShipDesign.ItFrames NXOpen.Features.ShipDesign.KnuckledProfiles NXOpen.Features.ShipDesign.LongitudinalBulkhead NXOpen.Features.ShipDesign.MainDimensions NXOpen.Features.ShipDesign.ManufacturingOut NXOpen.Features.ShipDesign.Pillar NXOpen.Features.ShipDesign.PinJig NXOpen.Features.ShipDesign.Plate NXOpen.Features.ShipDesign.PlateChamfer NXOpen.Features.ShipDesign.PlateDivide NXOpen.Features.ShipDesign.PlatePreparation NXOpen.Features.ShipDesign.PlateSystem NXOpen.Features.ShipDesign.Profile NXOpen.Features.ShipDesign.ProfileCutout NXOpen.Features.ShipDesign.ProfileList NXOpen.Features.ShipDesign.ProfileTransition NXOpen.Features.ShipDesign.ShellTemplate NXOpen.Features.ShipDesign.ShipCoordinates NXOpen.Features.ShipDesign.ShipCutout NXOpen.Features.ShipDesign.ShipEndCut NXOpen.Features.ShipDesign.ShipFlatPattern NXOpen.Features.ShipDesign.ShipIntersections NXOpen.Features.ShipDesign.ShipProfileCutout NXOpen.Features.ShipDesign.ShipSection NXOpen.Features.ShipDesign.ShipTrimBody NXOpen.Features.ShipDesign.SteelCollarPlate NXOpen.Features.ShipDesign.SteelDistribution NXOpen.Features.ShipDesign.SteelInsulation NXOpen.Features.ShipDesign.SteelSupport NXOpen.Features.ShipDesign.SteelVentHoles NXOpen.Features.ShipDesign.Stiffener NXOpen.Features.ShipDesign.SubSystems NXOpen.Features.ShipDesign.TransFrame NXOpen.Features.ShipDesign.TransverseBulkhead NXOpen.Features.ShipDesign.UpdateShipLibrary NXOpen.Features.ShipDesign.VentHolesMarking NXOpen.Features.ShipDesign.VentilationHoles2 NXOpen.Features.ShipDesign.WeldCut NXOpen.Features.ShipDesign.WeldCut2 NXOpen.Features.SilhouetteFlange NXOpen.Features.SnipSurface NXOpen.Features.SoftBlend NXOpen.Features.Sphere NXOpen.Features.SphericalCorner NXOpen.Features.SplitBody NXOpen.Features.Step NXOpen.Features.StudioSurface NXOpen.Features.StudioSurfaceEx NXOpen.Features.StudioXform NXOpen.Features.StyledBlend NXOpen.Features.StyledCorner NXOpen.Features.StyledSweep NXOpen.Features.Subdivision.SubdivisionBody NXOpen.Features.SweepAlongGuide NXOpen.Features.Swept NXOpen.Features.SweptVolume NXOpen.Features.Symmetric NXOpen.Features.Tangent NXOpen.Features.Thicken NXOpen.Features.ThroughCurveMesh NXOpen.Features.ThroughCurves NXOpen.Features.ToolingBox NXOpen.Features.TrimAndExtend NXOpen.Features.TrimBody2 NXOpen.Features.TrimExtend NXOpen.Features.TrimLineDevelopment NXOpen.Features.TrimSheet NXOpen.Features.Tube NXOpen.Features.Unsew NXOpen.Features.Untrim NXOpen.Features.VariableOffset NXOpen.Features.VarOffsetFace NXOpen.Features.Varsweep NXOpen.Features.VehicleDesign.AllAroundVision NXOpen.Features.VehicleDesign.BumperPendulum NXOpen.Features.VehicleDesign.CrashBarrier NXOpen.Features.VehicleDesign.DynamicCurb NXOpen.Features.VehicleDesign.GroundClearance NXOpen.Features.VehicleDesign.HeadImpact NXOpen.Features.VehicleDesign.HeadImpactAPillar NXOpen.Features.VehicleDesign.HeadImpactBPillar NXOpen.Features.VehicleDesign.HeadImpactFrontHeader NXOpen.Features.VehicleDesign.HeadImpactOPillar NXOpen.Features.VehicleDesign.HeadImpactOtherRail NXOpen.Features.VehicleDesign.HeadImpactRearHeader NXOpen.Features.VehicleDesign.HeadImpactRPillar NXOpen.Features.VehicleDesign.HeadImpactSideRail NXOpen.Features.VehicleDesign.HeadImpactUpperRoof NXOpen.Features.VehicleDesign.InnerAngle NXOpen.Features.VehicleDesign.MirrorCertification NXOpen.Features.VehicleDesign.OilPan NXOpen.Features.VehicleDesign.PedestrianProtection NXOpen.Features.VehicleDesign.Slope NXOpen.Features.VehicleDesign.StaticCurb NXOpen.Features.VehicleDesign.TireEnvelope NXOpen.Features.VehicleDesign.VisionPlane NXOpen.Features.VehicleDesign.WheelCovering NXOpen.Features.VehicleDesign.WheelFixing NXOpen.Features.WrapGeometry NXOpen.LineDesigner.CoverFeature NXOpen.LineDesigner.HoleFeature NXOpen.Routing.DuctReinforcement NXOpen.Routing.PlatformFeature NXOpen.Routing.WindCatcher NXOpen.Tooling.Runner NXOpen.Weld.EdgePrep NXOpen.Weld.Fill NXOpen.Weld.Fillet NXOpen.Weld.PlugSlot NXOpen.Weld.Transform NXOpen.Weld.UserDefinedWeld NXOpen.Weld.WeldBead NXOpen.Weld.WeldGroove NXOpen.Weld.WeldJoint

Public Member Functions

unsafe NXOpen.Body[] GetBodies ()
 Returns the bodies created by the feature More...
 
unsafe NXOpen.Face[] GetFaces ()
 Returns the faces created by the feature More...
 
unsafe NXOpen.Edge[] GetEdges ()
 Returns the edges created by the feature More...
 
- Public Member Functions inherited from NXOpen.Features.Feature
unsafe NXOpen.Expression[] GetExpressions ()
 Returns the expressions created by the feature. More...
 
unsafe NXOpen.Features.Feature[] GetParents ()
 Returns the immediate parent features. More...
 
unsafe NXOpen.Features.Feature[] GetChildren ()
 Returns the immediate child features. More...
 
unsafe NXOpen.Features.Feature[] GetAllChildren ()
 Returns all immediate child features. More...
 
unsafe void Highlight ()
 Highlight the body created by the feature More...
 
unsafe void Unhighlight ()
 Unhighlight the body created by the feature More...
 
unsafe void MakeCurrentFeature ()
 Make current feature More...
 
unsafe void ShowBody (bool moveCurves)
 Show the body created by the feature. More...
 
unsafe void ShowParents (bool moveCurves)
 Show the body created by the parent feature. More...
 
unsafe void HideBody ()
 Hide the body created by the feature More...
 
unsafe void HideParents ()
 Hide the body created by the parent feature More...
 
unsafe void Suppress ()
 Suppress the feature More...
 
unsafe void Unsuppress ()
 Unsuppress the feature More...
 
unsafe NXOpen.NXObject[] GetEntities ()
 Returns the entities created by the feature. More...
 
unsafe string[] GetFeatureErrorMessages ()
 Returns the feature error messages. More...
 
unsafe string[] GetFeatureInformationalMessages ()
 Returns the feature informational messages. More...
 
unsafe void DeleteInformationalAlerts ()
 Delete all informational alerts from the features More...
 
unsafe void DeleteWarningAlerts ()
 Delete all warning alerts from the features More...
 
unsafe string[] GetFeatureWarningMessages ()
 Returns the feature warning messages. More...
 
unsafe string[] GetFeatureClueMessages ()
 Returns the feature clue messages. More...
 
unsafe void DeleteClueAlerts ()
 Delete all clue alerts from the features More...
 
unsafe string[] GetFeatureClueHintMessages ()
 Returns both clue and hint messages of the feature. More...
 
unsafe string[] GetFeatureHintMessages ()
 Returns the feature hint messages. More...
 
unsafe void DeleteHintAlerts ()
 Delete all clue alerts from the features More...
 
unsafe void MakeSketchInternal ()
 Make the parent sketch internal if referenced only by this feature. More...
 
unsafe void MakeSketchExternal ()
 Make the parent sketch external for reuse by other features. More...
 
unsafe void RemoveForEdit (bool dependent)
 Remove all the feature faces before a NoHistory mode edit. More...
 
unsafe void RemoveParameters ()
 Remove Local feature parameters in history free mode. More...
 
unsafe void ShowDimensions ()
 Show all feature dimensions of a feature. More...
 
unsafe string GetFeatureName ()
 Returns the displayed name of the feature. More...
 
unsafe NXOpen.Section[] GetSections ()
 Queries a feature for list of its sections. More...
 
unsafe void SetGroupActive (bool active)
 Set a feature group as active group. More...
 
unsafe void LogDiagnostic (int errorCode, string message, NXOpen.Features.Feature.DiagnosticType diagnosticType)
 Log a diagnostic alert for this feature More...
 
unsafe void ChangeBooleanType ()
 Change Boolean Type More...
 
unsafe NXOpen.NXColor GetFeatureColor ()
 The feature color More...
 
unsafe bool BreakWaveLink ()
 Break Wave Link Feature More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.Features.Feature
enum  BooleanType {
  Create, Unite, Subtract, Intersect,
  EmbossNormalSide = 8, EmbossOppositeNormalSide
}
 Boolean operation type. More...
 
enum  DiagnosticType { Information = 1, Warning }
 Diagnostic type More...
 
- Properties inherited from NXOpen.Features.Feature
unsafe int AlgorithmVersion [get]
 Returns the algorithm version of the feature More...
 
unsafe
NXOpen.Features.IContainerFeature 
ContainerFeature [get]
 Returns the container feature for this feature. More...
 
unsafe string FeatureType [get]
 Returns the feature type More...
 
unsafe bool IsContainedFeature [get]
 Returns true if the feature is a contained feature. More...
 
unsafe bool IsInternal [get]
 Returns true if the feature is internal. More...
 
unsafe NXOpen.Point3d Location [get]
 Returns the location of the feature More...
 
unsafe bool Suppressed [get]
 Returns the suppression status of the feature More...
 
unsafe int Timestamp [get]
 Returns the timestamp of the feature More...
 

Detailed Description

Represents a feature on a part that has a body associated with it.

This is an abstract class, and cannot be instantiated.

Created in NX3.0.0

Member Function Documentation

unsafe NXOpen.Body [] NXOpen.Features.BodyFeature.GetBodies ( )

Returns the bodies created by the feature

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
unsafe NXOpen.Edge [] NXOpen.Features.BodyFeature.GetEdges ( )

Returns the edges created by the feature

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
unsafe NXOpen.Face [] NXOpen.Features.BodyFeature.GetFaces ( )

Returns the faces created by the feature

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Returns

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.